Bug 92928 - Same network connection error for each call to GETPIVOTDATA
Summary: Same network connection error for each call to GETPIVOTDATA
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.4.4.3 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
QA Contact:
URL:
Whiteboard:
Keywords: bibisectRequest, regression
Depends on:
Blocks: Pivot-Table
  Show dependency treegraph
 
Reported: 2015-07-25 12:17 UTC by Andreas Säger
Modified: 2017-10-23 13:48 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Zip File, with 3 files to do a test. (19.72 KB, application/zip)
2015-07-26 21:30 UTC, m.a.riosv
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Säger 2015-07-25 12:17:10 UTC
I have a spreadsheet with:
-- one "normal" pivot table linked to a range on another sheet.
-- one pivot table pulling data from a JDBC connection to the local network.
-- dozends of function calls to GETPIVOTDATA merge information from both pivot tables. Currently 38 of these formulas refer to the JDBC pivot.

When my laptop is connected to the local net, I refresh the "normal" pivot which automatically refreshes the other pivot as well. If this is intended, it is a bad idea.
When I try to activate the pivot sheet while being unconnected or when I try to refresh either one of the pivots, I get 38 times "java.net.NoRouteToHostException" in intervals of 3 seconds, so it takes several minutes holding the Escape key until I can close the document gracefully. 38 is the count of GETPIVOTDATA formulas referring to the JDBC pivot.

After deleting the 38 formulas, everything seems to behave normally.
The JDBC pilot does not update automatically when updating the normal one.
The error message pops up when I try to refresh the JDBC pilot.

-----------------------------------------
This is how OpenOffice 4.1 handles this:
It shows the error one time after loading the document, regardless of the currently active sheet and whenever I try to refresh the JDBC pivot.
Comment 1 m.a.riosv 2015-07-26 21:30:51 UTC
Created attachment 117456 [details]
Zip File, with 3 files to do a test.

Hi Andreas, thanks for reporting.

Reproducible also with at least other type of link.

Attached a sample using a linked spreadsheet, three files:

- DataPilotSampleLinked_GETPIVOTDATA.fods file with the Pivot table.
- SourceLinkedDAta.odb database file with the link to the spreadsheet.
- SourceLinkedData.ods is the source spreadsheet.

After register the database file, opening the first show the correct values for GETPIVOTDATA(), changing the name of the third file, and reopening again the first file show the issue, a message error for every GETPIVOTDATA() function.

BTW, thanks for you macro to recalculate several pivot tables at once, it's really useful for me.
Comment 2 m.a.riosv 2015-07-26 21:33:36 UTC
Reproducible with:
Win7x64Ultimate
Version: 4.4.5.2 Build ID: a22f674fd25a3b6f45bdebf25400ed2adff0ff99
Version: 5.0.0.4 (x64) Build ID: cf112dc905650fb985306a7a03d2fe3fcc6c978f
Comment 3 Cor Nouws 2015-07-30 21:38:03 UTC
as this is possibly a regression, would it make sense to set a bibisectrequest ?
Comment 4 m.a.riosv 2015-07-31 08:31:42 UTC
Win7x64

Version: 4.1.6.2 Build Id: 40ff705089295be5be0aae9b15123f687c05b0a
Shows the error only once and crash.

Versión: 4.2.0.0.beta1 Build ID: f4ca7b35f580827ad2c69ea6d29f7c9b48ebbac7
Shows the error once for every GETPIVOTDATA()

Seems it could beginn with the deep rework in 4.2.
Comment 5 QA Administrators 2016-09-20 10:21:40 UTC Comment hidden (obsolete)
Comment 6 Andreas Säger 2016-09-20 10:31:51 UTC
Still the same bug in 5.1.4
Comment 7 Xisco Faulí 2016-09-20 11:56:03 UTC
Adding keyword 'bibisectRequest'
Comment 8 m.a.riosv 2016-09-20 15:06:41 UTC
Only one message:
<<'The file:///xxxx' could not be loaded>>
refreshing the pivot table not at opening.
but
one message for every GETPIVOTDATA() doing hard recalc.

Same issue with 5.1.5.2 and 5.2.2.1, but with a new message for 5.2

With 
Win10x64
Version: 5.3.0.0.alpha0+
Build ID: 3287bc2f91438085b7604773d5e0346fc3c3f452
CPU Threads: 4; OS Version: Windows 6.19; UI Render: GL; 
TinderBox: Win-x86@42, Branch:master, Time: 2016-09-18_05:11:16
Locale: es-ES (es_ES); Calc: CL

Only one message updating PT or doing a hard recalc, and don't loose the values on the GETPIVOTDATA cells.

So seems solved in master.
Comment 9 QA Administrators 2017-10-23 13:48:02 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug